POST api/v1/PreSchoolPrograms
Request Information
URI Parameters
None.
Body Parameters
PreSchoolProgram| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CategoryId | integer |
None. |
|
| Title | string |
None. |
|
| Subtitle | string |
None. |
|
| AgeMinMonths | integer |
None. |
|
| AgeMaxMonths | integer |
None. |
|
| DisplayOrder | integer |
None. |
|
| IsActive | boolean |
None. |
|
| CreatedAt | date |
None. |
|
| UpdatedAt | date |
None. |
|
| PreSchoolCategory | PreSchoolCategory |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"categoryId": 2,
"title": "sample string 3",
"subtitle": "sample string 4",
"ageMinMonths": 5,
"ageMaxMonths": 1,
"displayOrder": 1,
"isActive": true,
"createdAt": "2026-04-18T15:00:41.1292778+03:00",
"updatedAt": "2026-04-18T15:00:41.1292778+03:00",
"preSchoolCategory": {
"id": 1,
"name": "sample string 2",
"iconKey": "sample string 3",
"displayOrder": 1,
"isActive": true,
"createdAt": "2026-04-18T15:00:41.1292778+03:00",
"updatedAt": "2026-04-18T15:00:41.1292778+03:00",
"preSchoolProgram": []
}
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.